Release Notes for Alpine 1.7.11

From Alpine Linux
Revision as of 10:54, 5 January 2008 by 213.234.126.131 (talk | contribs) (added releasenote for alpine 1.7.11)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Some highlights:

mdev udates

mdev scripts updated to work without the SYSFS_DEPRECATED options in kernel. Unfortunally, disabling this kernel option broke rtc and sound drivers.

Updated config so dvb devices are in the correct place.

kernel 2.6.23 by default

Switched to kernel 2.6.23 since grsecurity does not add fixes to 2.6.22 series.

e2fsprogs package split

Many packages needs libuuid found in e2fsprogs. This library is very small and the e2fsprogs is rather big. So libuuid was taken out to its own package.

syslog-ng removed

The syslog-ng package contains security bugs. Since newer supported releases does not compile with uclibc I simply removed syslog-ng package. If busybox syslog is not good enough, you might want to look at the metalog package.


Removed packages:
dmapi-2.2.5
openswan25-2.5.15-r1
openswan25-doc-2.5.15-r1
syslog-ng-1.6.11-r1


New pacakges:
fmtools-0.99.1
gsm-1.0.12-r1
haproxy-doc-1.3.14.1
ipsec-tools-cvs-20071231
libuuid1-1.40.3
metalog-0.8-r1
netatalk-2.0.3-r2
vsftpd-2.0.5-r3
vsftpd-doc-2.0.5-r3
yate-1.3.0


Upgraded/downgraded packages (from version):
acl-2.2.45				(2.2.39-r1)
alpine-baselayout-1.7.0			(1.6.2)
baselayout-2.0.0_rc6-r1			(2.0.0_rc6)
bash-3.2_p17-r1				(3.2_p17)
busybox-1.8.2-r1			(1.7.4)
cdparanoia-3.10_pre0			(3.9.8-r5)
chillispot-1.1.0			(1.0)
clamav-0.91.2-r1			(0.91.2)
com_err-1.40.3				(1.40.2)
ctorrent-3.2-r1				(3.2)
cups-1.2.12-r4				(1.2.12-r2)
dovecot-1.0.10				(1.0.5)
e2fsprogs-1.40.3			(1.40.2)
freeradius-1.1.7			(1.1.6)
freetype-2.3.5-r2			(2.3.4-r2)
giflib-4.1.6				(4.1.4)
git-1.5.3.7-r1				(1.5.2.5)
gmp-4.2.2				(4.2.1-r1)
gmp-dev-4.2.2				(4.2.1-r1)
gnutls-2.0.4				(1.4.4-r1)
haproxy-1.3.14.1			(1.3.13)
iptables-1.3.8-r2			(1.3.8-r1)
less-416				(409)
linux-headers-2.6.23-r3			(2.6.22-r2)
linuxtv-dvb-apps-1.1.1.20071201		(1.1.1.20071126)
luaposix-5.1-r1				(5.1)
mcrypt-2.6.7				(2.6.4)
module-init-tools-3.4			(3.2.2-r3)
mpd-0.13.0				(0.12.1)
mutt-1.5.16				(1.5.13-r1)
ncurses-5.6-r2				(5.6-r1)
neon-0.26.4				(0.26.3)
opencdk-0.6.6				(0.5.7)
opennhrp-0.4				(0.3)
pcalc-1.1				(1.0.0-r1)
pciutils-2.2.8				(2.2.7-r1)
php-5.2.5-r1				(5.2.5)
pwgen-2.06				(2.04)
reiser4progs-1.0.6			(1.0.5)
reiserfsprogs-3.6.19-r2			(3.6.19-r1)
rsync-2.6.9-r5				(2.6.9-r3)
samba-3.0.28				(3.0.24-r3)
samba-ldap-3.0.28			(3.0.24-r3)
squid-2.6.17				(2.6.16)
squid-errors-armenian-2.6.17		(2.6.16)
squid-errors-azerbaijani-2.6.17		(2.6.16)
squid-errors-bulgarian-2.6.17		(2.6.16)
squid-errors-catalan-2.6.17		(2.6.16)
squid-errors-czech-2.6.17		(2.6.16)
squid-errors-danish-2.6.17		(2.6.16)
squid-errors-dutch-2.6.17		(2.6.16)
squid-errors-english-2.6.17		(2.6.16)
squid-errors-estonian-2.6.17		(2.6.16)
squid-errors-finnish-2.6.17		(2.6.16)
squid-errors-french-2.6.17		(2.6.16)
squid-errors-german-2.6.17		(2.6.16)
squid-errors-greek-2.6.17		(2.6.16)
squid-errors-hebrew-2.6.17		(2.6.16)
squid-errors-hungarian-2.6.17		(2.6.16)
squid-errors-italian-2.6.17		(2.6.16)
squid-errors-japanese-2.6.17		(2.6.16)
squid-errors-korean-2.6.17		(2.6.16)
squid-errors-lithuanian-2.6.17		(2.6.16)
squid-errors-polish-2.6.17		(2.6.16)
squid-errors-portuguese-2.6.17		(2.6.16)
squid-errors-romanian-2.6.17		(2.6.16)
squid-errors-russian-1251-2.6.17	(2.6.16)
squid-errors-russian-koi8-r-2.6.17	(2.6.16)
squid-errors-serbian-2.6.17		(2.6.16)
squid-errors-simplify_chinese-2.6.17	(2.6.16)
squid-errors-slovak-2.6.17		(2.6.16)
squid-errors-spanish-2.6.17		(2.6.16)
squid-errors-swedish-2.6.17		(2.6.16)
squid-errors-traditional_chinese-2.6.17	(2.6.16)
squid-errors-turkish-2.6.17		(2.6.16)
ss-1.40.3				(1.40.2)
strongswan-4.1.9			(4.1.6)
stunnel-4.21-r1				(4.20)
sysfsutils-2.1.0			(1.3.0-r1)
sysstat-8.0.2				(8.0.0)
sysvinit-2.86-r10			(2.86-r8)
traceroute-2.0.9-r1			(1.4_p12-r5)
uclibc++-dev-0.2.2-r1			(0.2.2)
uclibc-0.9.28.3-r2			(0.9.28.3-r1)
uclibc-dev-0.9.28.3-r2			(0.9.28.3-r1)
varnish-1.1.2				(1.1.1)
vim-7.1.123				(7.1.042)
vim-core-7.1.123			(7.1.042)
vorbis-tools-1.1.1-r5			(1.1.1-r3)
vpnc-0.5.1				(0.4.0)
wireless-tools-29			(29_pre22)
wireshark-0.99.7			(0.99.6-r1)
xl2tpd-1.1.12				(1.1.11)
xl2tpd-doc-1.1.12			(1.1.11)
zaptel-1.4.7.1				(1.4.4)
zsh-4.3.2-r3				(4.3.2-r2)